#
# spec file for package xfconf (Version 4.6.0)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           xfconf
Summary:        Xfconf
Version:        4.6.0
Release:        2
License:        LGPL v2.1 or later
Url:            http://www.xfce.org/
Source:         %{name}-%{version}.tar.bz2
Source1:        rpmlintrc
Group:          System/GUI/XFCE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  dbus-1-glib-devel glib2-devel gtk-doc libxfcegui4-devel
Provides:       xfce-mcs-manager = %{version}
Obsoletes:      xfce-mcs-manager < %{version}
Provides:       xfce-mcs-plugins = %{version}
Obsoletes:      xfce-mcs-plugins < %{version}

%description
Xfconf



Authors:
--------
    Brian J. Tarricone <bjt23@cornell.edu>
    Stephan Arts <stephan@xfce.org>

%package -n libxfconf
License:        GPL v2 only
Summary:        Xfconf
Group:          System/GUI/XFCE
Provides:       libxfce4mcs = %{version}
Obsoletes:      libxfce4mcs < %{version}

%description -n libxfconf
Xfconf



Authors:
--------
    Brian J. Tarricone <bjt23@cornell.edu>
    Stephan Arts <stephan@xfce.org>

%package -n libxfconf-devel
License:        LGPL v2.1 or later
Summary:        Xfconf
Group:          Development/Libraries/C and C++
Requires:       libxfconf = %{version}
Requires:       glib2-devel libxfcegui4-devel dbus-1-glib-devel
Provides:       libxfce4mcs-devel = %{version}
Obsoletes:      libxfce4mcs-devel < %{version}
Provides:       xfce-mcs-manager-devel = %{version}
Obsoletes:      xfce-mcs-manager-devel < %{version}

%description  -n libxfconf-devel
Xfconf



Authors:
--------
    Brian J. Tarricone <bjt23@cornell.edu>
    Stephan Arts <stephan@xfce.org>

%prep
%setup -q

%build
%configure \
    --disable-static \
    --enable-gtk-doc
make %{?jobs:-j%jobs}

%install
make DESTDIR=$RPM_BUILD_ROOT install
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n libxfconf -p /sbin/ldconfig

%postun -n libxfconf -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog README TODO
%{_bindir}/*
%{_libdir}/xfconfd
%{_datadir}/dbus-1/services/*

%files -n libxfconf
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n libxfconf-devel
%defattr(-,root,root)
%doc %{_datadir}/gtk-doc/html/xfconf
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*

%changelog
* Fri Feb 27 2009 prusnak@suse.cz
- updated to 4.6.0 (Xfce 4.6.0 release)
* Mon Aug 18 2008 prusnak@suse.cz
- created package (version 4.5.80)
